Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.svggen.font.table
Class HmtxTable

    java.lang.Object
      org.apache.batik.svggen.font.table.HmtxTable

All Implemented Interfaces:
  Table

    public class HmtxTable

extends Object
implements Table

Field Summary

Fields inherited from interface org.apache.batik.svggen.font.table.Table
`BASE, CFF, cmap, cvt, DSIG, EBDT, EBLC, EBSC, encodingArabic, encodingArmenian, encodingASCII, encodingBengali, encodingBurmese, encodingChinese, encodingDevanagari, encodingGeez, encodingGeorgian, encodingGreek, encodingGujarati, encodingGurmukhi, encodingHebrew, encodingISO10646, encodingISO8859_1, encodingJapanese, encodingKannada, encodingKhmer, encodingKorean, encodingLaotian, encodingMalayalam, encodingMaldivian, encodingMongolian, encodingOriya, encodingRoman, encodingRSymbol, encodingRussian, encodingSindhi, encodingSinhalese, encodingSlavic, encodingTamil, encodingTelugu, encodingThai, encodingTibetan, encodingUGL, encodingUndefined, encodingUninterp, encodingVietnamese, fpgm, fvar, gasp, GDEF, glyf, GPOS, GSUB, hdmx, head, hhea, hmtx, JSTF, kern, languageArabic, languageBEL, languageBGR, languageCAT, languageChinese, languageCSY, languageDAN, languageDanish, languageDEA, languageDEC, languageDEL, languageDES, languageDEU, languageDutch, languageELL, languageENA, languageENC, languageENG, languageEnglish, languageENI, languageENU, languageENZ, languageESM, languageESN, languageESP, languageETI, languageEUQ, languageFIN, languageFinnish, languageFRA, languageFRB, languageFRC, languageFrench, languageFRL, languageFRS, languageGerman, languageGreek, languageHebrew, languageHindi, languageHUN, languageIcelandic, languageISL, languageITA, languageItalian, languageITS, languageJapanese, languageLTH, languageLVI, languageMaltese, languageNLB, languageNLD, languageNON, languageNOR, languageNorwegian, languagePLK, languagePortuguese, languagePTB, languagePTG, languageROM, languageRUS, languageSHL, languageSKY, languageSLV, languageSpanish, languageSQI, languageSVE, languageSwedish, languageThai, languageTRK, languageTurkish, languageUKR, languageUrdu, languageYugoslavian, loca, LTSH, maxp, MMFX, MMSD, name, nameCopyrightNotice, nameFontFamilyName, nameFontSubfamilyName, nameFullFontName, namePostscriptName, nameTrademark, nameUniqueFontIdentifier, nameVersionString, OS_2, PCLT, platformAppleUnicode, platformISO, platformMacintosh, platformMicrosoft, post, prep, VDMX, vhea, vmtx`

Constructor Summary
`protected` | `HmtxTable(DirectoryEntry de, RandomAccessFile raf)`

Method Summary
`int` | `getAdvanceWidth(int i)`
`short` | `getLeftSideBearing(int i)`
`int` | `getType()` Get the table type, as a table directory value.
`void` | `init(int numberOfHMetrics, int lsbCount)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HmtxTable

    protected HmtxTable(DirectoryEntry de,
                        RandomAccessFile raf)
                 throws IOException

Throws:
  `IOException`

Method Detail

### init

    public void init(int numberOfHMetrics,
                     int lsbCount)

### getAdvanceWidth

    public int getAdvanceWidth(int i)

### getLeftSideBearing

    public short getLeftSideBearing(int i)

### getType

    public int getType()

  Description copied from interface: `Table`
  Get the table type, as a table directory value.

  Specified by:
    `getType` in interface `Table`
  Returns:
    The table type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.